Get Forum Posts

GET /internal/admin/comms/v1/forums/posts

Operation id: get__internal_admin_comms_v1_forums_posts

Description

Get Forum Posts

Tags: User Forums

Parameters

Query parameters

NameTypeRequiredDescription
forumIdintegerYesForum ID
pageintegerNoPage number
pageSizeintegerNoPage size

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

404 — Not Found

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
dataarrayNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "post": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer"
              },
              "text": {
                "type": "string"
              },
              "title": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}